Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-compile-resources /usr/bin/gtk-update-icon-cache libcompface-devel libldap-devel pkgconfig(enchant-2) pkgconfig(fribidi) pkgconfig(gcr-3) pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gspell-1) pkgconfig(gthread-2.0) pkgconfig(gtk+-3.0) pkgconfig(gtksourceview-4) pkgconfig(libcanberra-gtk3) pkgconfig(libxml-2.0) pkgconfig(sqlite3) pkgconfig(xapp)
# END SourceDeps(oneline)
Summary(ru_RU.UTF-8): Графический почтовый клиент Balsa
%define fedora 37
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define config_opts --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --libdir=%{_libdir} --bindir=%{_bindir} --includedir=%{_includedir} --datadir=%{_datadir} --disable-more-warnings --with-gss --with-spell-checker=gtkspell  --without-gnome --with-html-widget=webkit2 --with-libsecret --disable-static

Name:           balsa
Version:        2.6.4
Release:        alt1_3
Summary:        Mail Client

License:        GPLv2+
URL:            https://pawsa.fedorapeople.org/balsa/
Source0:        https://pawsa.fedorapeople.org/balsa/%{name}-%{version}.tar.xz

#BuildRequires: gnome-vfs2-devel
BuildRequires: desktop-file-utils
BuildRequires: libenchant-devel
BuildRequires: gettext-tools
BuildRequires: libgmime3.0-devel libgmime3.0-gir-devel
BuildRequires: libgnutls-devel libgnutlsxx-devel
BuildRequires: gnome-doc-utils
BuildRequires: gpgme libgpgme-devel
BuildRequires: libgtkspell3-devel libgtkspell3-gir-devel
BuildRequires: intltool
BuildRequires: libkrb5-devel
BuildRequires: libical-devel
BuildRequires: libsecret-devel libsecret-gir-devel
BuildRequires: libtool
BuildRequires: libwebkit2gtk-devel libwebkit2gtk-gir-devel
BuildRequires: yelp-tools
Source44: import.info

%description
Balsa is a GNOME email client which supports mbox, maildir, and mh
local mailboxes, and IMAP4 and POP3 remote mailboxes. Email can be
sent via sendmail or SMTP. Optional multithreading support allows for
non-intrusive retrieval and sending of mail. A finished GUI similar to
that of the Eudora email client supports viewing images inline, saving
message parts, viewing headers, adding attachments, moving messages,
and printing messages.

%description -l ru_RU.UTF-8
Balsa -- это клиент для чтения электронной почты.
Поддерживает работу с локальными почтовыми ящиками, протоколами POP3 и IMAP.

#FIXME
#--with-html-widget=(no|gtkhtml2|gtkhtml3|webkit)
%define def_with_param() %{expand:%%{!?_with_%{1}: %%{!?_without_%{1}: %%{?2: %%global _with_param_%{1} %{2}} %%global _with_%{1} --with-%{1}}}}
%define subst_with_param() %{expand:%%{?_with_%{1}:%%{_with_%{1}}%%{?_with_param_%{1}:=%%{_with_param_%{1}}}}} %{expand:%%{?_without_%{1}:%%{_without_%{1}}%%{?_without_param_%{1}:=%%{_without_param_%{1}}}}}
%define if_with_param() %if %{expand:%%{?_with_%{1}: %%{?2:%%(if [ "%%{_with_param_%{1}}" == "%{2}" ]; then echo 1; else echo 0; fi)}%%{!?2:1}}%%{!?_with_%{1}:0}}

%def_with_param html-widget gtkhtml3
%def_enable threads
%def_enable smime
%def_disable gregex
%def_with ldap
%def_with gpgme
%def_with gtkspell
%def_with libnotify
%def_with gtksourceview
%def_with sqlite
%def_with rubrica
%def_with ssl
%def_with gss
%def_with canberra
%def_with compface
%def_with unique
%def_with nm

%prep
%setup -q

# Needed for aclocal to work
#mkdir m4

%build

#autoreconf -f -i
%configure %{config_opts}

%make_build

%install
%makeinstall_std

desktop-file-install $RPM_BUILD_ROOT%{_datadir}/applications/org.desktop.Balsa.desktop \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
        --vendor fedora \
%endif
        --add-category=Email \
        --remove-category=Application \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \

%find_lang %{name}

%files -f %{name}.lang
%doc README.md COPYING ChangeLog NEWS TODO AUTHORS HACKING docs/mh-mail-HOWTO
%doc docs/vconvert.awk docs/pine2vcard
%{_bindir}/balsa
%{_bindir}/balsa-ab
%{_libdir}/balsa/libhtmlfilter.so
%{_datadir}/applications/*.desktop
%{_datadir}/balsa/
%{_datadir}/help/C/balsa/
%{_datadir}/help/cs/balsa/
%{_datadir}/help/de/balsa/
%{_datadir}/help/el/balsa/
%{_datadir}/help/es/balsa/
%{_datadir}/help/fr/balsa/
%{_datadir}/help/sl/balsa/
%{_datadir}/pixmaps/gnome-balsa2.png
%{_datadir}/sounds/balsa/
%{_datadir}/metainfo/balsa.appdata.xml
%{_mandir}/man1/balsa.1*
%config(noreplace) %{_sysconfdir}/sound/events/balsa.soundlist

%changelog
* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.6.4-alt1_3
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.6.4-alt1_2
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.6.3-alt1_3
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.6.3-alt1_2
- update to new release by fcimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 2.6.3-alt1_1
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.6.2-alt2_3
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.6.2-alt2_2
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.6.2-alt2_1
- update to new release by fcimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 2.6.2-alt1_1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.6.1-alt1_2
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 2.6.1-alt1_1
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.5.9-alt1_2
- update to new release by fcimport

* Tue Oct 29 2019 Igor Vlasenko <viy@altlinux.ru> 2.5.9-alt1_1
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.5.7-alt1_2
- update to new release by fcimport

* Sun Jun 02 2019 Igor Vlasenko <viy@altlinux.ru> 2.5.7-alt1_1
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.5.6-alt1_4
- update to new release by fcimport

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 2.5.6-alt1_3
- update to new release by fcimport

* Wed Jun 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.5.6-alt1_1
- update to new release by fcimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 2.5.5-alt1_1
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 2.5.3-alt1_7
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.5.3-alt1_5
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 2.5.3-alt1_3
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.5.3-alt1_2
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 2.5.2-alt1_4
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 2.5.2-alt1_3
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.5.2-alt1_2
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_4
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_3
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_2
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_1
- initial fc import

* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 2.5.0-alt1_1
- initial fc import

* Wed Apr 20 2011 Andrey Cherepanov <cas@altlinux.org> 2.4.9-alt2.git.7.gb9f3588
- Fix LDAP support

* Tue Jan 11 2011 Ildar Mulyukov <ildar@altlinux.ru> 2.4.9-alt1.git.7.gb9f3588
- new version
- build with new libcanberra
- threads are enabled again

* Wed Oct 06 2010 Ildar Mulyukov <ildar@altlinux.ru> 2.4.8-alt1.git.8.gd6cdd2d
- new version

* Mon Aug 09 2010 Ildar Mulyukov <ildar@altlinux.ru> 2.4.7_91_gb0a4418-alt1
- fix crashes due to https://bugzilla.gnome.org/show_bug.cgi?id=608337
   through disabling threads

* Tue Jun 01 2010 Ildar Mulyukov <ildar@altlinux.ru> 2.4.7_67_g454a179-alt1
- new version
- fix %%find_lang to consider GNOME files
- change HTML toolkit choice through %%html-widget (doesn't work currently)

* Mon Dec 28 2009 Ildar Mulyukov <ildar@altlinux.ru> 2.4.2_13_gd1822c3-alt1
- new version
- add NetworkManager and libcanberra

* Wed Sep 09 2009 Ildar Mulyukov <ildar@altlinux.ru> 2.4.1_15_g6edf8ef-alt1
- release 2.4.1
- upstream moved to GIT
- gmime-2.4 is now in "master" branch (upstream)
- use libunique
- desktop file fix pushed to upstream
- disable threads due to http://bugzilla.gnome.org/show_bug.cgi?id=580230

* Sat Apr 18 2009 Ildar Mulyukov <ildar@altlinux.ru> 2.3.28_62_gbee3fd3-alt1
- big version change
- gmime-2.4 patch revised
- menu file expelled

* Sun Jan 04 2009 Ildar Mulyukov <ildar@altlinux.ru> 2.3.27-alt2
- improved gmime-2.4 patch: added GMIME_ENABLE_RFC2047_WORKAROUNDS

* Thu Jan 01 2009 Ildar Mulyukov <ildar@altlinux.ru> 2.3.27-alt1
- 2.3.27
- gmime-2.4 patch added
- spec improvements
- some small fixes according to repocop reports

* Mon Jun 16 2008 Ildar Mulyukov <ildar@altlinux.ru> 2.3.25-alt1
- 2.3.25

* Mon Jun 02 2008 Ildar Mulyukov <ildar@altlinux.ru> 2.3.24-alt1
- 2.3.24

* Tue Mar 25 2008 Ildar Mulyukov <ildar@altlinux.ru> 2.3.23-alt1
- 2.3.23
- gtksourceview is back - version 2 is used

* Thu Dec 27 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.3.22-alt1
- 2.3.22

* Wed Dec 12 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.3.21-alt1
- 2.3.21
- removed gtksourceview - version 2 is not supported yet
- added rubrica support

* Tue Oct 30 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.3.20-alt2.SVN7771
- gear/git way to build package
- upstream -> SVN7771
- pcre (my local?) bug workaround is possible with --enable regex_dirty_hack
- %name-2.3.14-alt-configure.patch is no more needed
- changed sqlite -> sqlite3

* Sun Sep 30 2007 Ilya Mashkin <oddity at altlinux.ru> 2.3.20-alt1
- Just build new version 2.3.20
- Add russian description

* Mon Mar 12 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.3.14-alt1
- 2.3.14

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.3.13-alt2.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Wed Jun 28 2006 Ildar Mulyukov <ildar@altlinux.ru> 2.3.13-alt2
- balsa-2.3.12-alt-configure.patch fixed for building on x86_64

* Thu Jun 22 2006 Ildar Mulyukov <ildar@altlinux.ru> 2.3.13-alt1
- 2.3.13

* Sun Nov 21 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.6-alt1
- 2.2.6

* Mon Oct 04 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.5-alt1
- new version

* Mon Aug 30 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.4-alt1
- new version
- periodic expunge configurable
- cleanup IMAP password quering code
- GPE address book support - http://gpe.handhelds.org/projects/GPE-address.shtml
- new configuration druid

* Sat Aug 21 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.3-alt1
- new version
- periodic expunge code crash fixed
- fixed recovery from broken IMAP connections
- startup speedup
- some memory leaks fixed

* Tue Aug 10 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.2-alt1
- new version
- configurable hiding of deleted messages
- keyboard navigation fixes
- message counting in some edge cases fixed
- GPG fixes

* Tue Aug 03 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.1-alt1
- new version
- IMAP mailboxes could be incorrectly marked as read-only
- message selection behaves more sanely
- 64-bit fixes
- memory leaks fixed
- handle better imap servers without server-side threading and limits
  on number of concurent connections
- quick "Sender or Subject" message index filtering
- various UI improvements

* Mon Jul 12 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.0-alt1
- new version
- fix 143322, 143263, 145701
- GPGME updates
- GSSAPI IMAP authentication
- more build fixes

* Tue Mar 30 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.0.17-alt1
- build on GNOME-2.6
- fix some GPGME interaction problems
- yet another set of minor fixes

* Mon Jan 19 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.0.16-alt1
- update GPGME support: 124905
- libgtkhtml3 support added
- use bonobo to avoid running of multiple balsa instances
- fix bugs: 103639, 124550, 127422, 129316 and number of others

* Mon Jan 5 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.0.15-alt3
- rebuild with gcc-3.3

* Sun Oct 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.15-alt2
- Rebuild with libaspell

* Mon Sep 29 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.15-alt1
- 2.0.15
- imap folder scanning speedup.
- fix bugs: 121181, 121637, 121867 and others.
- help updates.

* Thu Sep 25 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.14-alt2
- Cleanup spec

* Mon Jul 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.14-alt1
- 2.0.14
- message wrapping improvements, RFC 2646 support.
- experimental LDAP write support (feedback and patches appreciated).
- number of bugs fixed.

* Mon Jul 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.13-alt1
- 2.0.13

* Mon Jul 7 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.12-alt1
- 2.0.12
- Added Undo and Redo in the message composer.
- Occasional mangling of text attachments fixed
- More information about attached messages is shown.

* Sun May 18 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.11-alt2
- Cleanup spec

* Mon May 12 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.11-alt1
- 2.0.11
- text wrapping improvements.
- charset encoding validation and conversion improvements.
- several message signing and encryption improvelemts.
- minor LDAP fixes (large directories, non-US-ASCII characters).

* Wed Mar 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.10-alt1
- 2.0.10
- GPG support.
- translation fixes and enhancements.
- large set of UI fixes.
- wrapping cleanups.
- autocommit improvements.
- (lib)mutt buffer overflow fix.
- ...and lots of other bugs fixed.

* Sun Mar 23 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.9-alt1
- First version of RPM package.
